<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.undertow.server.host.setting.single-sign-on">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="domain,path,http-only,secure,cookie-name"/>
        <elem name="addr-params" value="profile,subsystem,server,host,setting"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.undertow"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.undertow.host.sso.$server.$host"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.undertow"/>
    </requires>
    <refs>
        <ref feature="subsystem.undertow.server.host"/>
        <ref feature="subsystem.undertow.server"/>
        <ref feature="subsystem.undertow"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="server" feature-id="true"/>
        <param name="path" nillable="true"/>
        <param name="http-only" nillable="true"/>
        <param name="domain" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="undertow"/>
        <param name="secure" nillable="true"/>
        <param name="cookie-name" nillable="true"/>
        <param name="setting" feature-id="true" default="single-sign-on"/>
    </params>
</feature-spec>